Closed Bug 953737 Opened 7 years ago Closed 7 years ago

Handle the case where no logs are available

Categories

(Instantbird :: Other, defect)

All
Other
defect
Not set
minor

Tracking

(Not tracked)

RESOLVED FIXED

People

(Reporter: florian, Assigned: florian)

Details

(Whiteboard: [0.3-final-wanted][good first bug])

*** Original post on bio 294 at 2009-12-29 17:45:00 UTC ***

When the user clicks on "Show Logs", the log viewer opens even if there's no log available at all for this buddy/conversation.
The window appears completely empty.

The best way to handle this situation would be to disable the "Show logs" menuitem when no logs are available, but there's currently no quick way to know how many logs are available without having libpurple listing the directory, and having to iterate through the full list.
I'm not sure how much time this would take, but I fear doing this would add a noticeable delay when opening the context menu.

So if we can't disable the context menu item, we can either:
 - display an error instead of the log viewer window.
 - display a message inside the log viewer, similar to what we do in the account manager when there's no account configured yet.

I'd prefer the error if we find a way to make it easy to dismiss for the user (like a semi transparent panel that would fade out if the user clicks in it, and automatically after a few seconds), but otherwise displaying a message in the log viewer seems easier (there's the disadvantage that the user will have to close the useless new window though).
Whiteboard: [0.2-wanted]
Whiteboard: [0.2-wanted]
*** Original post on bio 294 at 2011-01-28 14:41:30 UTC ***

(In reply to comment #0)

> The best way to handle this situation would be to disable the "Show logs"
> menuitem when no logs are available, but there's currently no quick way to know
> how many logs are available without having libpurple listing the directory, and
> having to iterate through the full list.
This is no longer true, since the logger has been rewritten in JS.
Whiteboard: [good first bug]
*** Original post on bio 294 at 2011-06-16 22:34:31 UTC ***

I think this is very easy and could still be taken for 0.3. Disabling that menu item when there are no log available would hide a broken piece of UI.
Whiteboard: [good first bug] → [0.3-final-wanted][good first bug]
*** Original post on bio 294 at 2011-06-17 00:01:36 UTC ***

https://hg.instantbird.org/instantbird/rev/4bf8067bf1e3
Assignee: nobody → florian
Status: NEW → RESOLVED
Closed: 7 years ago
Resolution: --- → FIXED
Target Milestone: --- → 1.0
*** Original post on bio 294 at 2011-06-17 12:27:12 UTC ***

This is only fixed for the context menu of the contact list but the problem persists with the context menu of conversation tabs.
Status: RESOLVED → REOPENED
Resolution: FIXED → ---
*** Original post on bio 294 at 2011-06-17 17:37:42 UTC ***

(In reply to comment #4)
> This is only fixed for the context menu of the contact list but the problem
> persists with the context menu of conversation tabs.

Fixed: https://hg.instantbird.org/instantbird/rev/c702fa04f3b0
Status: REOPENED → RESOLVED
Closed: 7 years ago7 years ago
Resolution: --- → FIXED
You need to log in before you can comment on or make changes to this bug.